commit: 09c7ccc7c20a2ca09cabcba8ad7b057c181806f0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 13 15:45:30 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 13 15:49:09 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09c7ccc7
dev-python/openapi-spec-validator: Bump to 0.7.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/openapi-spec-validator/Manifest | 1 +
.../openapi-spec-validator-0.7.1.ebuild | 50 ++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/openapi-spec-validator/Manifest
b/dev-python/openapi-spec-validator/Manifest
index 89d0fcd177f8..5ee6cdc00735 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -1,3 +1,4 @@
DIST openapi_spec_validator-0.5.7.tar.gz 33722 BLAKE2B
71096a996d335b60d6646d96390e580952a1e27829aa807c4b333ee11a7925bc1bc10f4440c79fc6d4a8321dfd3bab9ec86bf79bef6c7139835b7f8035cbc061
SHA512
63dafc0bc459d8ad097d0a98a3d23e67ae37c0004ce6d53ad999b037f2a6743c95e13ae22920403368c37f8877665c104ac20e1f58532cffd8df54c800a6cf7d
DIST openapi_spec_validator-0.6.0.tar.gz 33646 BLAKE2B
cf8d397602b147872e86c0f236731ec477e20775aa63a61162e66deb7d4b81ef91bd86b67d2dfddf5d6b160c37b7eab4ddb1d10975ada8dc13aebdc088e4483a
SHA512
71434f131f34902210237940d75f07f250b296c3e1814e03f0eaae436321ca11ac63d0014c85ad571852e66b2e11545c9d0cf21d771c0c67210a60c1f9094cc2
DIST openapi_spec_validator-0.7.0.tar.gz 36700 BLAKE2B
aadaa34259900af7e2eb120ac7ccd6ea50d29ddd2c49edbd11c1c95f611dfc68edd580f4c5044a1c91ede2c421f2ef0b8e35dca89c5b997b6fc6211c68126b09
SHA512
a9e2b254d6855cfb4127eac44a0589e674748b2be6c68dd30e24144271096e82b336913b06e00407a88e6f3d3fdd0079a0c9489755dc68110d92d2b686f695ac
+DIST openapi_spec_validator-0.7.1.tar.gz 37985 BLAKE2B
e4e6995bba18ea9fb65be28b2156c73afd3c5074a3fbd5b83e03534a1bb5fdde2e5a586aa161e0f9fc64985d83ae995f46ff2704a4010a708f9e0cf18f97a8a8
SHA512
c2a4be4a945058a4e77857bf0d6dabf2bef27c25fbe72947db3ac011c5a60d2d0159ef0d1d44571152c5ffdc650f7d3d6c54f82834e499e9506fb474b7c9b270
diff --git
a/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild
b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild
new file mode 100644
index 000000000000..127299b23419
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.18.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}